package com.mindfusion.areachart;

import java.util.ArrayList;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Color;
import android.view.Menu;
import com.mindfusion.charting.AxesChart;
import com.mindfusion.charting.AxisLabelType;
import com.mindfusion.charting.LineSeries;
import com.mindfusion.charting.LineType;
import com.mindfusion.charting.ScatterType;

public class MainActivity extends Activity {
	
	private AxesChart chart;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		chart = (AxesChart)findViewById(R.id.chart);
		
		chart.setTitle("Last Decade Sales");
			
		chart.xAxisSettings.setMin(0f);
		chart.xAxisSettings.setMax(10f);
		chart.xAxisSettings.setInterval(1f);
			
		chart.yAxisSettings.setMin(0f);
		chart.yAxisSettings.setMax(100f);
		chart.yAxisSettings.setInterval(10f);
		chart.yAxisSettings.setLabelType(AxisLabelType.Scale);
		chart.yAxisSettings.setTitle("Turnover");
		
		ArrayList<String> labels = new ArrayList<String>();
		labels.add("'03");
		labels.add("'04");
		labels.add("'05");
		labels.add("'06");
		labels.add("'07");
		labels.add("'08");
		labels.add("'09");
		labels.add("'10");
		labels.add("'11");
		labels.add("'12");
		
		chart.xAxisSettings.setLabels(labels);
		chart.xAxisSettings.setLabelType(AxisLabelType.Custom);
		chart.xAxisSettings.setTitle("Year");		
		
		ArrayList<Integer>gridStrokeColors = new ArrayList<Integer>();
		gridStrokeColors.add(Color.rgb(192, 192, 192));
		
		chart.setGridStrokeColors(gridStrokeColors);
		
		//first series
		
		LineSeries series1 = new LineSeries();
		series1.setLineType(LineType.Line);
		series1.setScatterType(ScatterType.Diamond);
		
		ArrayList<Float> yData = new ArrayList<Float>();
		yData.add(73.45f);
		yData.add(62.81f);
		yData.add(85.81f);
		yData.add(74.51f);
		yData.add(78.12f);
		yData.add(86.124f);
		yData.add(79.08f);
		yData.add(85.12f);
		yData.add(72.12f);
		yData.add(91.12f);
		series1.setYData(yData);
		
		ArrayList<Float> xData = new ArrayList<Float>();
		
		for(int i = 0; i < 10; i++)
			xData.add((float) i);
		series1.setXData(xData);
		
		ArrayList<Integer>series1Colors = new ArrayList<Integer>();
		series1Colors.add(Color.RED);
		
		ArrayList<Integer>series1ScatterColors = new ArrayList<Integer>();
		series1ScatterColors.add(Color.rgb(242, 219, 218));
		
		series1.setFillColors(series1Colors);
		series1.setStrokeColors(series1Colors);
		
		series1.setScatterStrokeColors(series1Colors);
		series1.setScatterFillColors(series1ScatterColors);
		
		chart.addSeries(series1);	
		
		//second series
		
		LineSeries series2 = new LineSeries();
		series2.setLineType(LineType.Area);
				
		ArrayList<Float> yData2 = new ArrayList<Float>();
		yData2.add(25.45f);
		yData2.add(17.81f);
		yData2.add(9.81f);
		yData2.add(12.51f);
		yData2.add(28.12f);
		yData2.add(24.124f);
		yData2.add(19.08f);
		yData2.add(10.12f);
		yData2.add(27.12f);
		yData2.add(8.12f);
		series2.setYData(yData2);
		
		ArrayList<Float> xData2 = new ArrayList<Float>();
		
		for(int i = 0; i < 10; i++)
			xData2.add((float) i);
		series2.setXData(xData2);
		
		ArrayList<Integer>series2Colors = new ArrayList<Integer>();
		series2Colors.add(Color.argb(200, 92, 192, 92));
		
		ArrayList<Integer>series2StrokeColors = new ArrayList<Integer>();
		series2StrokeColors.add(Color.rgb(84, 150, 3));
		
		series2.setFillColors(series2Colors);
		series2.setStrokeColors(series2StrokeColors);	
		chart.addSeries(series2);
		
		//third series

		LineSeries series3 = new LineSeries();
		series3.setLineType(LineType.Area);

		ArrayList<Float> yData3 = new ArrayList<Float>();
		yData3.add(35.45f);
		yData3.add(37.81f);
		yData3.add(19.81f);
		yData3.add(32.51f);
		yData3.add(48.12f);
		yData3.add(14.124f);
		yData3.add(39.08f);
		yData3.add(20.12f);
		yData3.add(7.12f);
		yData3.add(58.12f);
		series3.setYData(yData3);

		ArrayList<Float> xData3 = new ArrayList<Float>();

		for(int i = 0; i < 10; i++)
			xData3.add((float) i);
		series3.setXData(xData3);

		ArrayList<Integer>series3Colors = new ArrayList<Integer>();
		series3Colors.add(Color.argb(120, 255, 201, 99));
		
		ArrayList<Integer>series3StrokeColors = new ArrayList<Integer>();
		series3StrokeColors.add(Color.rgb(255, 201, 99));

		series3.setFillColors(series3Colors);
		series3.setStrokeColors(series3StrokeColors);

		chart.addSeries(series3);		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
