package com.example.chartapp;

import java.util.ArrayList;

import com.mindfusion.charting.AxesChart;
import com.mindfusion.charting.AxisLabelType;
import com.mindfusion.charting.BarSeries;
import com.mindfusion.charting.BarType;
//import com.mindfusion.charting.GridType;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Color;
import android.graphics.DashPathEffect;
import android.view.Menu;

public class MainActivity extends Activity {

	private AxesChart chart;
	BarSeries series1;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
chart = (AxesChart)findViewById(R.id.chart);
		
	//	chart.setTitle("Store Turnover");
		chart.setLabelHeight(20);
				
		chart.xAxisSettings.setMin(0f);
		chart.xAxisSettings.setMax(5f);
		chart.xAxisSettings.setInterval(1f);
		chart.xAxisSettings.setTitleOffset(15f);
		
		chart.yAxisSettings.setMin(0f);
		chart.yAxisSettings.setMax(500f);
		chart.yAxisSettings.setInterval(50f);
		chart.yAxisSettings.setLabelType(AxisLabelType.Scale);
		chart.yAxisSettings.setTitle("In thousands");
		chart.yAxisSettings.setTitleOffset(15f);
		
		ArrayList<String> labels = new ArrayList<String>();		
		labels.add("2009");
		labels.add("2010");
		labels.add("2011");
		labels.add("2012");
		labels.add("2013");
				
		chart.xAxisSettings.setLabels(labels);
		chart.xAxisSettings.setLabelType(AxisLabelType.Custom);
		chart.xAxisSettings.setTitle("Year");		
		
		ArrayList<Integer>gridStrokeColors = new ArrayList<Integer>();
		gridStrokeColors.add(Color.rgb(192, 192, 192));
		
		chart.setGridStrokeColors(gridStrokeColors);
		
		DashPathEffect effect = new DashPathEffect(new float[] {10,5}, 0);
		chart.setGridStrokeEffect(effect);
		
		ArrayList<Float> xData = new ArrayList<Float>();

		for(int i = 0; i < 5; i++)
			xData.add((float)i);

		//first series
		series1 = new BarSeries();
		series1.setXData(xData);

		ArrayList<Float> yData1 = new ArrayList<Float>();
		yData1.add(234f);
		yData1.add(315f);
		yData1.add(265f);
		yData1.add(302f);
		yData1.add(276f);
		series1.setYData(yData1);
		
		ArrayList<String> topLabels = new ArrayList<String>();
		topLabels.add("London");
		topLabels.add("Paris");
		topLabels.add("Tokyo");
		topLabels.add("Berlin");
		topLabels.add("Moscow");
		
		series1.setTopLabels(topLabels);

		ArrayList<Integer> fillColors1 = new ArrayList<Integer>();
		fillColors1.add(Color.rgb(140, 123, 169));
		fillColors1.add(Color.rgb(213, 192, 202));
		fillColors1.add(Color.rgb(242, 231, 196));
		fillColors1.add(Color.rgb(242, 234, 121));
		fillColors1.add(Color.rgb(189, 204, 128));
		series1.setFillColors(fillColors1);

		ArrayList<Integer> strokeColors1 = new ArrayList<Integer>();
		strokeColors1.add(Color.rgb(97, 85, 117));
		strokeColors1.add(Color.rgb(133, 120, 126));
		strokeColors1.add(Color.rgb(196, 187, 159));
		strokeColors1.add(Color.rgb(194, 187, 97));
		strokeColors1.add(Color.rgb(142, 153, 96));
		series1.setStrokeColors(strokeColors1);
		
		chart.addSeries(series1);		
			
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}





























