package com.mindfusion.combichart;

import java.util.ArrayList;

import com.mindfusion.charting.AxesChart;
import com.mindfusion.charting.AxisLabelType;
import com.mindfusion.charting.LineSeries;
import com.mindfusion.charting.BarSeries;
import com.mindfusion.charting.ScatterType;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Color;
import android.view.Menu;

public class MainActivity extends Activity {
	
	private AxesChart chart;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		chart = (AxesChart)findViewById(R.id.chart);
		
		chart.setTitle("Unique vs. Returning Visitors");
					
		ArrayList<Integer> gridStrokes = new ArrayList<Integer>();
		gridStrokes.add(Color.rgb(207, 207, 207));
		chart.setGridStrokeColors(gridStrokes);
		
		ArrayList<Integer> gridFills = new ArrayList<Integer>();
		gridFills.add(Color.rgb(237, 237, 237));
		gridFills.add(Color.WHITE);
		chart.setGridFillColors(gridFills);
		
		chart.xAxisSettings.setMin(0f);
		chart.xAxisSettings.setMax(4f);
		chart.xAxisSettings.setInterval(1f);
		chart.xAxisSettings.setLabelType(AxisLabelType.Custom);
		
		ArrayList<String> xLabels = new ArrayList<String>();
		xLabels.add("Jan");
		xLabels.add("Feb");
		xLabels.add("Mar");
		xLabels.add("Apr");
		
		chart.xAxisSettings.setLabels(xLabels);
		
		chart.yAxisSettings.setMin(0f);
		chart.yAxisSettings.setMax(1000f);
		chart.yAxisSettings.setInterval(100f);
		chart.yAxisSettings.setLabelType(AxisLabelType.Scale);
		chart.yAxisSettings.setTitle("in thousands");
		
		ArrayList<Float> xData = new ArrayList<Float>();
		
		for(int i = 0; i < 4; i++)
			xData.add((float)i);
		
		//first series
		BarSeries series1 = new BarSeries();
		series1.setXData(xData);
		
		ArrayList<Float> yData1 = new ArrayList<Float>();
		yData1.add(234f);
		yData1.add(315f);
		yData1.add(265f);
		yData1.add(302f);
		series1.setYData(yData1);
		
		ArrayList<Integer> fillColors1 = new ArrayList<Integer>();
		fillColors1.add(Color.rgb(232, 174, 225));
		series1.setFillColors(fillColors1);
		
		ArrayList<Integer> strokeColors1 = new ArrayList<Integer>();
		strokeColors1.add(Color.rgb(186, 58, 94));
		series1.setStrokeColors(strokeColors1);
		
		chart.addSeries(series1);	
		
		//second series
		BarSeries series2 = new BarSeries();
		series2.setXData(xData);

		ArrayList<Float> yData2 = new ArrayList<Float>();
		yData2.add(314f);
		yData2.add(421f);
		yData2.add(102f);
		yData2.add(89f);
		series2.setYData(yData2);

		ArrayList<Integer> fillColors2 = new ArrayList<Integer>();
		fillColors2.add(Color.rgb(198, 174, 233));
		series2.setFillColors(fillColors2);

		ArrayList<Integer> strokeColors2 = new ArrayList<Integer>();
		strokeColors2.add(Color.rgb(89, 50, 148));
		series2.setStrokeColors(strokeColors2);

		chart.addSeries(series2);	
		
		ArrayList<Float> xData1 = new ArrayList<Float>();
		
		for(int i = 0; i < 4; i++)
			xData1.add((float)(i + 0.5f));
		
		//third series
		LineSeries series3 = new LineSeries();
		series3.setScatterType(ScatterType.Circle);
		series3.setXData(xData1);

		ArrayList<Float> yData3 = new ArrayList<Float>();
		yData3.add(516f);
		yData3.add(628f);
		yData3.add(491f);
		yData3.add(780f);
		series3.setYData(yData3);

		ArrayList<Integer> fillColors3 = new ArrayList<Integer>();
		fillColors3.add(Color.rgb(178, 209, 182));
		series3.setScatterFillColors(fillColors3);

		ArrayList<Integer> strokeColors3 = new ArrayList<Integer>();
		strokeColors3.add(Color.rgb(55, 145, 67));
		series3.setStrokeColors(strokeColors3);

		chart.addSeries(series3);
		
		//fourth series
		LineSeries series4 = new LineSeries();
		series4.setScatterType(ScatterType.Circle);
		series4.setXData(xData1);

		ArrayList<Float> yData4 = new ArrayList<Float>();		
		yData4.add(819f);
		yData4.add(723f);
		yData4.add(315f);
		yData4.add(489f);
		series4.setYData(yData4);

		ArrayList<Integer> fillColors4 = new ArrayList<Integer>();
		fillColors4.add(Color.rgb(163, 177, 214));
		series4.setScatterFillColors(fillColors4);

		ArrayList<Integer> strokeColors4 = new ArrayList<Integer>();
		strokeColors4.add(Color.rgb(77, 102, 168));
		series4.setStrokeColors(strokeColors4);

		chart.addSeries(series4);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
