package com.mindfusion.piechart;

import java.util.ArrayList;

import com.mindfusion.charting.PieChart;
import com.mindfusion.charting.PieSeries;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Color;
import android.view.Menu;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;

public class MainActivity extends Activity implements OnSeekBarChangeListener {
	
	PieChart chart;
	private SeekBar mSeekBar;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		mSeekBar = (SeekBar) findViewById(R.id.thickness_bar);
		mSeekBar.setOnSeekBarChangeListener(this);
		
		chart = (PieChart)findViewById(R.id.chart);
		
		chart.setDistBtwSeries(10f);
		chart.setLabelHeight(20f);	
		

		chart.setTitle("Unique vs. Returning Visitors");	
			
		PieSeries series1 = new PieSeries();
		
		ArrayList<Float> data1 = new ArrayList<Float>();		
		data1.add(12f);
		data1.add(34f);
		data1.add(21f);
		data1.add(18f);
		data1.add(7f);
		
		series1.setData(data1);
		
		ArrayList<Integer> fillColors1 = new ArrayList<Integer>();
		fillColors1.add(Color.rgb(112, 125, 128));
		fillColors1.add(Color.rgb(179, 200, 204));
		fillColors1.add(Color.rgb(224, 250, 255));
		fillColors1.add(Color.rgb(137, 235, 255));
		fillColors1.add(Color.rgb(74, 118, 128));
		series1.setFillColors(fillColors1);
		
		ArrayList<Integer> strokeColors1 = new ArrayList<Integer>();
		strokeColors1.add(Color.rgb(20,20,20));
		series1.setStrokeColors(strokeColors1);
		
		ArrayList<String> outerLabels = new ArrayList<String>();
		outerLabels.add("2013");
		outerLabels.add("2012");
		outerLabels.add("2011");
		outerLabels.add("2010");
		outerLabels.add("2009");
		series1.setOuterLabels(outerLabels);
		series1.setPointerLength(15f);
						
		chart.addSeries(series1);
				
		//second series
		PieSeries series2 = new PieSeries();

		ArrayList<Float> data2 = new ArrayList<Float>();
		data2.add(32f);
		data2.add(9f);
		data2.add(16f);
		data2.add(28f);
		data2.add(13f);

		series2.setData(data2);
		
		series2.setFillColors(fillColors1);		
		series2.setStrokeColors(strokeColors1);

		chart.addSeries(series2);		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	  @Override
	    public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
		  	chart.setDoughnutFraction((float)progress/100.0F);
	    }

	    @Override
	    public void onStartTrackingTouch(SeekBar seekBar) {
	        
	    }

	    @Override
	    public void onStopTrackingTouch(SeekBar seekBar) {
	        
	    }

}
